# List ACH positive pay rules

**GET** `/bank-accounts/{bank_account_id}/ach-positive-pay-rules`

Gets all ACH positive pay rules on a bank account.

### Path Parameters

- `bank_account_id` `string` _(required)_ — Unique identifier for the bank account.

### Query Parameters

- `ending_before` `string` — A cursor for pagination. `ending_before` is the ID of an object that defines your place in the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for pagination. `starting_after` is the ID of an object that defines your place in the list.

**Request**

```shell
curl 'https://api.column.com/bank-accounts/<bank_account_id>/ach-positive-pay-rules' \
  -u :<YOUR API KEY> \
```

**Response 200**

```json
{
  "ach_positive_pay_rules": [
    {
      "ach_company_id": "1234567890",
      "ach_positive_pay_rule_id": "appr_2iqaXhOkS89lL7apWzSx0lGWRdu",
      "amount": 100,
      "amount_condition": "equal",
      "bank_account_id": "bacc_2ipgDr97nxf9lfFkI8aopgnYX3M",
      "description": "example ACH Positive Pay rule"
    }
  ],
  "has_more": false
}
```
